#
# spec file for package solarus-quest-editor
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           solarus-quest-editor
Version:        1.5.2
Release:        1.2
Summary:        GUI to edit quests for the Solarus engine
License:        GPL-3.0+ and CC-BY-SA-3.0
Group:          Productivity/Graphics/Other
Url:            http://www.solarus-games.org/engine/solarus-quest-editor/
Source:         https://github.com/solarus-games/solarus-quest-editor/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/solarus-games/solarus-quest-editor/pull/261
Patch1:         luajit-5_1-2.1.patch
# PATCH-FIX-UPSTREAM https://github.com/solarus-games/solarus-quest-editor/pull/263
Patch2:         desktop-icons.patch
BuildRequires:  cmake >= 2.8.11
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  physfs-devel
BuildRequires:  solarus-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(libmodplug)
BuildRequires:  pkgconfig(luajit)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(vorbis)

%description
A game editor for the Solarus engine.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%fdupes %{buildroot}%{_prefix}

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root,-)
%doc README.md license.txt license_gpl.txt changelog.txt
%{_bindir}/solarus-quest-editor
%{_datadir}/solarus-quest-editor
%{_datadir}/solarus-quest-editor/assets
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%dir %{_datadir}/icons/hicolor/1024x1024/
%dir %{_datadir}/icons/hicolor/1024x1024/apps/
%dir %{_datadir}/icons/hicolor/768x768/
%dir %{_datadir}/icons/hicolor/768x768/apps/
%{_datadir}/applications/%{name}.desktop

%changelog
* Thu Jan 26 2017 jengelh@inai.de
- Trim filler words
* Wed Jan 25 2017 mailaender@opensuse.org
- initial packaging of version 1.5.2
- Added luajit-5_1-2.1.patch
- Added desktop-icons.patch
